"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.discardMergeTreeDeltaRevertible = exports.DetachedReferencePosition = exports.debugMarkerToString = exports.createRemoveRangeOp = exports.createMap = exports.createInsertSegmentOp = exports.createInsertOp = exports.createGroupOp = exports.createDetachedLocalReferencePosition = exports.createAnnotateRangeOp = exports.createAnnotateMarkerOp = exports.compareStrings = exports.compareReferencePositions = exports.compareNumbers = exports.combine = exports.CollaborationWindow = exports.clone = exports.Client = exports.BaseSegment = exports.appendToMergeTreeDeltaRevertibles = exports.addProperties = exports.SnapshotLegacy = exports.MergeTreeTextHelper = exports.MergeTree = exports.clientSeqComparer = exports.TST = exports.runMergeTreeOperationRunner = exports.replayResultsPath = exports.removeRange = exports.insertAtRefPos = exports.generateOperationMessagesForClients = exports.generateClientNames = exports.doOverRange = exports.applyMessages = exports.annotateRange = exports.validatePartialLengths = exports.nodeOrdinalsHaveIntegrity = exports.markRangeRemoved = exports.loadTextFromFileWithMarkers = exports.loadTextFromFile = exports.insertText = exports.insertSegments = exports.insertMarker = exports.countOperations = exports.TestServer = exports.checkTextMatchRelative = exports.TestClient = exports.specToSegment = exports.getStats = exports.createRevertDriver = void 0;
exports.UniversalSequenceNumber = exports.UnassignedSequenceNumber = exports.TreeMaintenanceSequenceNumber = exports.TrackingGroupCollection = exports.TrackingGroup = exports.toRemovalInfo = exports.TextSegment = exports.Stack = exports.SortedSet = exports.SortedSegmentSet = exports.SegmentGroupCollection = exports.revertMergeTreeDeltaRevertibles = exports.reservedTileLabelsKey = exports.reservedRangeLabelsKey = exports.reservedMarkerSimpleTypeKey = exports.reservedMarkerIdKey = exports.refTypeIncludesFlag = exports.refHasTileLabels = exports.refHasTileLabel = exports.refHasRangeLabels = exports.refHasRangeLabel = exports.refGetTileLabels = exports.refGetRangeLabels = exports.ReferenceType = exports.RedBlackTree = exports.RBColor = exports.PropertiesRollback = exports.PropertiesManager = exports.NonCollabClient = exports.minReferencePosition = exports.MergeTreeMaintenanceType = exports.MergeTreeDeltaType = exports.MergeNode = exports.maxReferencePosition = exports.matchProperties = exports.Marker = exports.LocalReferenceCollection = exports.LocalClientId = exports.internedSpaces = exports.extendIfUndefined = exports.extend = void 0;
var testClient_1 = require("./testClient.cjs");
Object.defineProperty(exports, "createRevertDriver", { enumerable: true, get: function () { return testClient_1.createRevertDriver; } });
Object.defineProperty(exports, "getStats", { enumerable: true, get: function () { return testClient_1.getStats; } });
Object.defineProperty(exports, "specToSegment", { enumerable: true, get: function () { return testClient_1.specToSegment; } });
Object.defineProperty(exports, "TestClient", { enumerable: true, get: function () { return testClient_1.TestClient; } });
var testServer_1 = require("./testServer.cjs");
Object.defineProperty(exports, "checkTextMatchRelative", { enumerable: true, get: function () { return testServer_1.checkTextMatchRelative; } });
Object.defineProperty(exports, "TestServer", { enumerable: true, get: function () { return testServer_1.TestServer; } });
var testUtils_1 = require("./testUtils.cjs");
Object.defineProperty(exports, "countOperations", { enumerable: true, get: function () { return testUtils_1.countOperations; } });
Object.defineProperty(exports, "insertMarker", { enumerable: true, get: function () { return testUtils_1.insertMarker; } });
Object.defineProperty(exports, "insertSegments", { enumerable: true, get: function () { return testUtils_1.insertSegments; } });
Object.defineProperty(exports, "insertText", { enumerable: true, get: function () { return testUtils_1.insertText; } });
Object.defineProperty(exports, "loadTextFromFile", { enumerable: true, get: function () { return testUtils_1.loadTextFromFile; } });
Object.defineProperty(exports, "loadTextFromFileWithMarkers", { enumerable: true, get: function () { return testUtils_1.loadTextFromFileWithMarkers; } });
Object.defineProperty(exports, "markRangeRemoved", { enumerable: true, get: function () { return testUtils_1.markRangeRemoved; } });
Object.defineProperty(exports, "nodeOrdinalsHaveIntegrity", { enumerable: true, get: function () { return testUtils_1.nodeOrdinalsHaveIntegrity; } });
Object.defineProperty(exports, "validatePartialLengths", { enumerable: true, get: function () { return testUtils_1.validatePartialLengths; } });
var mergeTreeOperationRunner_1 = require("./mergeTreeOperationRunner.cjs");
Object.defineProperty(exports, "annotateRange", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.annotateRange; } });
Object.defineProperty(exports, "applyMessages", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.applyMessages; } });
Object.defineProperty(exports, "doOverRange", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.doOverRange; } });
Object.defineProperty(exports, "generateClientNames", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.generateClientNames; } });
Object.defineProperty(exports, "generateOperationMessagesForClients", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.generateOperationMessagesForClients; } });
Object.defineProperty(exports, "insertAtRefPos", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.insertAtRefPos; } });
Object.defineProperty(exports, "removeRange", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.removeRange; } });
Object.defineProperty(exports, "replayResultsPath", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.replayResultsPath; } });
Object.defineProperty(exports, "runMergeTreeOperationRunner", { enumerable: true, get: function () { return mergeTreeOperationRunner_1.runMergeTreeOperationRunner; } });
var tst_1 = require("./tst.cjs");
Object.defineProperty(exports, "TST", { enumerable: true, get: function () { return tst_1.TST; } });
var mergeTree_1 = require("../mergeTree.cjs");
Object.defineProperty(exports, "clientSeqComparer", { enumerable: true, get: function () { return mergeTree_1.clientSeqComparer; } });
Object.defineProperty(exports, "MergeTree", { enumerable: true, get: function () { return mergeTree_1.MergeTree; } });
var MergeTreeTextHelper_1 = require("../MergeTreeTextHelper.cjs");
Object.defineProperty(exports, "MergeTreeTextHelper", { enumerable: true, get: function () { return MergeTreeTextHelper_1.MergeTreeTextHelper; } });
var snapshotlegacy_1 = require("../snapshotlegacy.cjs");
Object.defineProperty(exports, "SnapshotLegacy", { enumerable: true, get: function () { return snapshotlegacy_1.SnapshotLegacy; } });
var index_1 = require("../index.cjs");
Object.defineProperty(exports, "addProperties", { enumerable: true, get: function () { return index_1.addProperties; } });
Object.defineProperty(exports, "appendToMergeTreeDeltaRevertibles", { enumerable: true, get: function () { return index_1.appendToMergeTreeDeltaRevertibles; } });
Object.defineProperty(exports, "BaseSegment", { enumerable: true, get: function () { return index_1.BaseSegment; } });
Object.defineProperty(exports, "Client", { enumerable: true, get: function () { return index_1.Client; } });
Object.defineProperty(exports, "clone", { enumerable: true, get: function () { return index_1.clone; } });
Object.defineProperty(exports, "CollaborationWindow", { enumerable: true, get: function () { return index_1.CollaborationWindow; } });
Object.defineProperty(exports, "combine", { enumerable: true, get: function () { return index_1.combine; } });
Object.defineProperty(exports, "compareNumbers", { enumerable: true, get: function () { return index_1.compareNumbers; } });
Object.defineProperty(exports, "compareReferencePositions", { enumerable: true, get: function () { return index_1.compareReferencePositions; } });
Object.defineProperty(exports, "compareStrings", { enumerable: true, get: function () { return index_1.compareStrings; } });
Object.defineProperty(exports, "createAnnotateMarkerOp", { enumerable: true, get: function () { return index_1.createAnnotateMarkerOp; } });
Object.defineProperty(exports, "createAnnotateRangeOp", { enumerable: true, get: function () { return index_1.createAnnotateRangeOp; } });
Object.defineProperty(exports, "createDetachedLocalReferencePosition", { enumerable: true, get: function () { return index_1.createDetachedLocalReferencePosition; } });
Object.defineProperty(exports, "createGroupOp", { enumerable: true, get: function () { return index_1.createGroupOp; } });
Object.defineProperty(exports, "createInsertOp", { enumerable: true, get: function () { return index_1.createInsertOp; } });
Object.defineProperty(exports, "createInsertSegmentOp", { enumerable: true, get: function () { return index_1.createInsertSegmentOp; } });
Object.defineProperty(exports, "createMap", { enumerable: true, get: function () { return index_1.createMap; } });
Object.defineProperty(exports, "createRemoveRangeOp", { enumerable: true, get: function () { return index_1.createRemoveRangeOp; } });
Object.defineProperty(exports, "debugMarkerToString", { enumerable: true, get: function () { return index_1.debugMarkerToString; } });
Object.defineProperty(exports, "DetachedReferencePosition", { enumerable: true, get: function () { return index_1.DetachedReferencePosition; } });
Object.defineProperty(exports, "discardMergeTreeDeltaRevertible", { enumerable: true, get: function () { return index_1.discardMergeTreeDeltaRevertible; } });
Object.defineProperty(exports, "extend", { enumerable: true, get: function () { return index_1.extend; } });
Object.defineProperty(exports, "extendIfUndefined", { enumerable: true, get: function () { return index_1.extendIfUndefined; } });
Object.defineProperty(exports, "internedSpaces", { enumerable: true, get: function () { return index_1.internedSpaces; } });
Object.defineProperty(exports, "LocalClientId", { enumerable: true, get: function () { return index_1.LocalClientId; } });
Object.defineProperty(exports, "LocalReferenceCollection", { enumerable: true, get: function () { return index_1.LocalReferenceCollection; } });
Object.defineProperty(exports, "Marker", { enumerable: true, get: function () { return index_1.Marker; } });
Object.defineProperty(exports, "matchProperties", { enumerable: true, get: function () { return index_1.matchProperties; } });
Object.defineProperty(exports, "maxReferencePosition", { enumerable: true, get: function () { return index_1.maxReferencePosition; } });
Object.defineProperty(exports, "MergeNode", { enumerable: true, get: function () { return index_1.MergeNode; } });
Object.defineProperty(exports, "MergeTreeDeltaType", { enumerable: true, get: function () { return index_1.MergeTreeDeltaType; } });
Object.defineProperty(exports, "MergeTreeMaintenanceType", { enumerable: true, get: function () { return index_1.MergeTreeMaintenanceType; } });
Object.defineProperty(exports, "minReferencePosition", { enumerable: true, get: function () { return index_1.minReferencePosition; } });
Object.defineProperty(exports, "NonCollabClient", { enumerable: true, get: function () { return index_1.NonCollabClient; } });
Object.defineProperty(exports, "PropertiesManager", { enumerable: true, get: function () { return index_1.PropertiesManager; } });
Object.defineProperty(exports, "PropertiesRollback", { enumerable: true, get: function () { return index_1.PropertiesRollback; } });
Object.defineProperty(exports, "RBColor", { enumerable: true, get: function () { return index_1.RBColor; } });
Object.defineProperty(exports, "RedBlackTree", { enumerable: true, get: function () { return index_1.RedBlackTree; } });
Object.defineProperty(exports, "ReferenceType", { enumerable: true, get: function () { return index_1.ReferenceType; } });
Object.defineProperty(exports, "refGetRangeLabels", { enumerable: true, get: function () { return index_1.refGetRangeLabels; } });
Object.defineProperty(exports, "refGetTileLabels", { enumerable: true, get: function () { return index_1.refGetTileLabels; } });
Object.defineProperty(exports, "refHasRangeLabel", { enumerable: true, get: function () { return index_1.refHasRangeLabel; } });
Object.defineProperty(exports, "refHasRangeLabels", { enumerable: true, get: function () { return index_1.refHasRangeLabels; } });
Object.defineProperty(exports, "refHasTileLabel", { enumerable: true, get: function () { return index_1.refHasTileLabel; } });
Object.defineProperty(exports, "refHasTileLabels", { enumerable: true, get: function () { return index_1.refHasTileLabels; } });
Object.defineProperty(exports, "refTypeIncludesFlag", { enumerable: true, get: function () { return index_1.refTypeIncludesFlag; } });
Object.defineProperty(exports, "reservedMarkerIdKey", { enumerable: true, get: function () { return index_1.reservedMarkerIdKey; } });
Object.defineProperty(exports, "reservedMarkerSimpleTypeKey", { enumerable: true, get: function () { return index_1.reservedMarkerSimpleTypeKey; } });
Object.defineProperty(exports, "reservedRangeLabelsKey", { enumerable: true, get: function () { return index_1.reservedRangeLabelsKey; } });
Object.defineProperty(exports, "reservedTileLabelsKey", { enumerable: true, get: function () { return index_1.reservedTileLabelsKey; } });
Object.defineProperty(exports, "revertMergeTreeDeltaRevertibles", { enumerable: true, get: function () { return index_1.revertMergeTreeDeltaRevertibles; } });
Object.defineProperty(exports, "SegmentGroupCollection", { enumerable: true, get: function () { return index_1.SegmentGroupCollection; } });
Object.defineProperty(exports, "SortedSegmentSet", { enumerable: true, get: function () { return index_1.SortedSegmentSet; } });
Object.defineProperty(exports, "SortedSet", { enumerable: true, get: function () { return index_1.SortedSet; } });
Object.defineProperty(exports, "Stack", { enumerable: true, get: function () { return index_1.Stack; } });
Object.defineProperty(exports, "TextSegment", { enumerable: true, get: function () { return index_1.TextSegment; } });
Object.defineProperty(exports, "toRemovalInfo", { enumerable: true, get: function () { return index_1.toRemovalInfo; } });
Object.defineProperty(exports, "TrackingGroup", { enumerable: true, get: function () { return index_1.TrackingGroup; } });
Object.defineProperty(exports, "TrackingGroupCollection", { enumerable: true, get: function () { return index_1.TrackingGroupCollection; } });
Object.defineProperty(exports, "TreeMaintenanceSequenceNumber", { enumerable: true, get: function () { return index_1.TreeMaintenanceSequenceNumber; } });
Object.defineProperty(exports, "UnassignedSequenceNumber", { enumerable: true, get: function () { return index_1.UnassignedSequenceNumber; } });
Object.defineProperty(exports, "UniversalSequenceNumber", { enumerable: true, get: function () { return index_1.UniversalSequenceNumber; } });
//# sourceMappingURL=index.cjs.map