/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
export { IAttributionCollection, IAttributionCollectionSerializer, IAttributionCollectionSpec, SerializedAttributionCollection, SequenceOffsets, } from "./attributionCollection.mjs";
export { createInsertOnlyAttributionPolicy } from "./attributionPolicy.mjs";
export { IIntegerRange } from "./base.mjs";
export { Client, IClientEvents } from "./client.mjs";
export { ConflictAction, Dictionary, IRBAugmentation, IRBMatcher, KeyComparer, Property, PropertyAction, QProperty, RBColor, RBNode, RBNodeActions, RedBlackTree, SortedDictionary, Stack, } from "./collections/index.mjs";
export { LocalClientId, NonCollabClient, TreeMaintenanceSequenceNumber, UnassignedSequenceNumber, UniversalSequenceNumber, } from "./constants.mjs";
export { createDetachedLocalReferencePosition, LocalReferenceCollection, LocalReferencePosition, SlidingPreference, } from "./localReference.mjs";
export { AttributionPolicy, IMergeTreeAttributionOptions, IMergeTreeOptions, getSlideToSegoff, } from "./mergeTree.mjs";
export { IMergeTreeClientSequenceArgs, IMergeTreeDeltaCallbackArgs, IMergeTreeDeltaOpArgs, IMergeTreeMaintenanceCallbackArgs, IMergeTreeSegmentDelta, MergeTreeDeltaCallback, MergeTreeDeltaOperationType, MergeTreeDeltaOperationTypes, MergeTreeMaintenanceCallback, MergeTreeMaintenanceType, } from "./mergeTreeDeltaCallback.mjs";
export { BaseSegment, CollaborationWindow, compareNumbers, compareStrings, debugMarkerToString, IConsensusInfo, IJSONMarkerSegment, IMarkerModifiedAction, IMergeNodeCommon, internedSpaces, IRemovalInfo, ISegment, ISegmentAction, Marker, MergeNode, reservedMarkerIdKey, reservedMarkerSimpleTypeKey, SegmentAccumulator, SegmentGroup, toRemovalInfo, } from "./mergeTreeNodes.mjs";
export { Trackable, TrackingGroup, ITrackingGroup, TrackingGroupCollection, } from "./mergeTreeTracking.mjs";
export { createAnnotateMarkerOp, createAnnotateRangeOp, createGroupOp, createInsertOp, createInsertSegmentOp, createRemoveRangeOp, } from "./opBuilder.mjs";
export { ICombiningOp, IJSONSegment, IMarkerDef, IMergeTreeAnnotateMsg, IMergeTreeDelta, IMergeTreeDeltaOp, IMergeTreeGroupMsg, IMergeTreeInsertMsg, IMergeTreeOp, IMergeTreeRemoveMsg, IRelativePosition, MergeTreeDeltaType, ReferenceType, } from "./ops.mjs";
export { addProperties, clone, combine, createMap, extend, extendIfUndefined, IConsensusValue, MapLike, matchProperties, PropertySet, } from "./properties.mjs";
export { compareReferencePositions, DetachedReferencePosition, maxReferencePosition, minReferencePosition, RangeStackMap, ReferencePosition, refGetRangeLabels, refGetTileLabels, refHasRangeLabel, refHasRangeLabels, refHasTileLabel, refHasTileLabels, refTypeIncludesFlag, reservedRangeLabelsKey, reservedTileLabelsKey, } from "./referencePositions.mjs";
export { SegmentGroupCollection } from "./segmentGroupCollection.mjs";
export { PropertiesManager, PropertiesRollback } from "./segmentPropertiesManager.mjs";
export { SortedSet } from "./sortedSet.mjs";
export { SortedSegmentSet, SortedSegmentSetItem } from "./sortedSegmentSet.mjs";
export { IJSONTextSegment, IMergeTreeTextHelper, TextSegment } from "./textSegment.mjs";
export { appendToMergeTreeDeltaRevertibles, discardMergeTreeDeltaRevertible, isMergeTreeDeltaRevertible, MergeTreeDeltaRevertible, MergeTreeRevertibleDriver, revertMergeTreeDeltaRevertibles, } from "./revertibles.mjs";
//# sourceMappingURL=index.d.ts.map