/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */

export {
	createRevertDriver,
	getStats,
	MergeTreeStats,
	specToSegment,
	TestClient,
	TestClientRevertibleDriver,
} from "./testClient";
export { checkTextMatchRelative, TestServer } from "./testServer";
export {
	countOperations,
	insertMarker,
	insertSegments,
	insertText,
	loadTextFromFile,
	loadTextFromFileWithMarkers,
	markRangeRemoved,
	nodeOrdinalsHaveIntegrity,
	validatePartialLengths,
} from "./testUtils";
export {
	annotateRange,
	applyMessages,
	doOverRange,
	generateClientNames,
	generateOperationMessagesForClients,
	IConfigRange,
	IMergeTreeOperationRunnerConfig,
	insertAtRefPos,
	removeRange,
	ReplayGroup,
	replayResultsPath,
	runMergeTreeOperationRunner,
	TestOperation,
} from "./mergeTreeOperationRunner";
export { ProxString, TST, TSTNode, TSTResult } from "./tst";
export { ClientSeq, clientSeqComparer, LRUSegment, MergeTree } from "../mergeTree";
export { MergeTreeTextHelper } from "../MergeTreeTextHelper";
export { SnapshotLegacy } from "../snapshotlegacy";
export {
	addProperties,
	appendToMergeTreeDeltaRevertibles,
	BaseSegment,
	Client,
	clone,
	CollaborationWindow,
	combine,
	compareNumbers,
	compareReferencePositions,
	compareStrings,
	ConflictAction,
	createAnnotateMarkerOp,
	createAnnotateRangeOp,
	createDetachedLocalReferencePosition,
	createGroupOp,
	createInsertOp,
	createInsertSegmentOp,
	createMap,
	createRemoveRangeOp,
	debugMarkerToString,
	DetachedReferencePosition,
	Dictionary,
	discardMergeTreeDeltaRevertible,
	extend,
	extendIfUndefined,
	ICombiningOp,
	IConsensusInfo,
	IConsensusValue,
	IIntegerRange,
	IJSONMarkerSegment,
	IJSONSegment,
	IJSONTextSegment,
	IMarkerDef,
	IMarkerModifiedAction,
	IMergeNodeCommon,
	IMergeTreeAnnotateMsg,
	IMergeTreeClientSequenceArgs,
	IMergeTreeDelta,
	IMergeTreeDeltaCallbackArgs,
	IMergeTreeDeltaOp,
	IMergeTreeDeltaOpArgs,
	IMergeTreeGroupMsg,
	IMergeTreeInsertMsg,
	IMergeTreeMaintenanceCallbackArgs,
	IMergeTreeOp,
	IMergeTreeRemoveMsg,
	IMergeTreeSegmentDelta,
	IMergeTreeTextHelper,
	internedSpaces,
	IRBAugmentation,
	IRBMatcher,
	IRelativePosition,
	IRemovalInfo,
	ISegment,
	ISegmentAction,
	KeyComparer,
	LocalClientId,
	LocalReferenceCollection,
	LocalReferencePosition,
	MapLike,
	Marker,
	matchProperties,
	maxReferencePosition,
	MergeNode,
	MergeTreeDeltaCallback,
	MergeTreeDeltaOperationType,
	MergeTreeDeltaOperationTypes,
	MergeTreeDeltaRevertible,
	MergeTreeDeltaType,
	MergeTreeMaintenanceCallback,
	MergeTreeMaintenanceType,
	MergeTreeRevertibleDriver,
	minReferencePosition,
	NonCollabClient,
	PropertiesManager,
	PropertiesRollback,
	Property,
	PropertyAction,
	PropertySet,
	QProperty,
	RangeStackMap,
	RBColor,
	RBNode,
	RBNodeActions,
	RedBlackTree,
	ReferencePosition,
	ReferenceType,
	refGetRangeLabels,
	refGetTileLabels,
	refHasRangeLabel,
	refHasRangeLabels,
	refHasTileLabel,
	refHasTileLabels,
	refTypeIncludesFlag,
	reservedMarkerIdKey,
	reservedMarkerSimpleTypeKey,
	reservedRangeLabelsKey,
	reservedTileLabelsKey,
	revertMergeTreeDeltaRevertibles,
	SegmentAccumulator,
	SegmentGroup,
	SegmentGroupCollection,
	SortedDictionary,
	SortedSegmentSet,
	SortedSegmentSetItem,
	SortedSet,
	Stack,
	TextSegment,
	toRemovalInfo,
	Trackable,
	TrackingGroup,
	TrackingGroupCollection,
	TreeMaintenanceSequenceNumber,
	UnassignedSequenceNumber,
	UniversalSequenceNumber,
} from "../index";
